CreateBaremetalChassis
CreateBaremetalChassis
POST
/zstack/v1/baremetal/chassisOperation ID
CreateBaremetalChassisSince
2.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the bare metal chassis.
descriptionStringOptional. The detailed description of the bare metal chassis.
clusterUuidStringRequiredThe UUID of the cluster where the bare metal chassis resides.
ipmiAddressStringRequiredThe IPMI address of the bare metal chassis.
ipmiPortIntegerOptional. The IPMI port of the bare metal chassis.
ipmiUsernameStringRequiredThe IPMI username.
ipmiPasswordStringRequiredThe IPMI password.
resourceUuidStringThe UUID of the bare metal chassis.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
